Bug 952347 - Review Request: ovirt-image-uploader - Image Uploader tool for oVirt Engine
Review Request: ovirt-image-uploader - Image Uploader tool for oVirt Engine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-15 14:21 EDT by Kiril Nesenko
Modified: 2014-07-10 20:09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 02:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kiril Nesenko 2013-04-15 14:21:35 EDT
Spec URL: http://knesenko.fedorapeople.org/ovirt-image-uploader.spec.in
SRPM URL: http://knesenko.fedorapeople.org/ovirt-image-uploader-3.2.1-1.fc17.src.rpm
Description: Image Uploader tool for oVirt Engine 
Fedora Account System Username: knesenko
Comment 1 Kiril Nesenko 2013-04-15 14:26:02 EDT
Spec URL: http://knesenko.fedorapeople.org/ovirt-image-uploader.spec
SRPM URL: http://knesenko.fedorapeople.org/ovirt-image-uploader-3.2.1-1.fc17.src.rpm
Description: Image Uploader tool for oVirt Engine 
Fedora Account System Username: knesenko
Comment 2 Kiril Nesenko 2013-04-16 09:31:22 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5258125
Comment 3 Kiril Nesenko 2013-04-17 10:08:27 EDT
Spec URL: http://knesenko.fedorapeople.org/ovirt-image-uploader.spec
SRPM URL: http://knesenko.fedorapeople.org/ovirt-image-uploader-3.2.2-1.fc17.src.rpm
Description: Image Uploader tool for oVirt Engine 
Fedora Account System Username: knesenko
Comment 4 Federico Simoncelli 2013-04-18 04:42:39 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: Package contains no bundled libraries without FPC exception.

The package contains an "intl" directory that is part of gettext.

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[?]: Package complies to the Packaging Guidelines

It looks good to me as far as I know the Packaging Guidelines. I leave to the
sponsor to tick this box.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "LGPL (v2.1 or later)", "LGPL (v2 or later)", "GPL (v2
     or later)", "Unknown or generated". 5 files have unknown license.
     Detailed output of licensecheck in /home/simon/rpmreview/review-ovirt-
     image-uploader/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Package must own all directories that it creates.

You probably need to add:

%dir %{python_sitelib}/ovirt_image_uploader

[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.

Not sure if this is applicable. Although ovirt-image-uploader does not provide
and egg file.

[x]: Package meets the Packaging Guidelines::Python

Package

[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0

Please solve this when everything else is fixed.

[!]: Buildroot is not present
     Note: Invalid buildroot found: %{_tmppath}/%{name}-%{version}-%{release}

This would be better if it was fixed.

[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments

This will be probably fixed when the Source0 will be available to download.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.

Check this on koji.

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ovirt-image-uploader-3.2.2-1.fc18.noarch.rpm
ovirt-image-uploader.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ovirt_image_uploader/ovf/ovfenvelope.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


Please remove "#!/usr/bin/env python" if it's not a script.
If it's a script, place it somewhere else.


Rpmlint (installed packages)
----------------------------
# rpmlint ovirt-image-uploader
ovirt-image-uploader.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ovirt_image_uploader/ovf/ovfenvelope.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'


Please remove "#!/usr/bin/env python" if it's not a script.
If it's a script, place it somewhere else.


Requires
--------
ovirt-image-uploader (rpmlib, GLIBC filtered):
    /usr/bin/python
    config(ovirt-image-uploader)
    ovirt-engine-sdk
    python
    python(abi)



Provides
--------
ovirt-image-uploader:
    config(ovirt-image-uploader)
    ovirt-image-uploader



Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -name -n ovirt-image-uploader
Comment 5 Kiril Nesenko 2013-04-18 09:40:27 EDT
(In reply to comment #4)
> Package Review
> ==============
> 
> Key:
> [x] = Pass
> [!] = Fail
> [-] = Not applicable
> [?] = Not evaluated
> [ ] = Manual review needed
> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [!]: Package contains no bundled libraries without FPC exception.
> 
> The package contains an "intl" directory that is part of gettext.
> 
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package requires other packages for directories it uses.
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package is not known to require ExcludeArch.
> [?]: Package complies to the Packaging Guidelines
> 
> It looks good to me as far as I know the Packaging Guidelines. I leave to the
> sponsor to tick this box.
> 
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "Apache (v2.0)", "LGPL (v2.1 or later)", "LGPL (v2 or later)", "GPL (v2
>      or later)", "Unknown or generated". 5 files have unknown license.
>      Detailed output of licensecheck in /home/simon/rpmreview/review-ovirt-
>      image-uploader/licensecheck.txt
> [x]: Package consistently uses macro is (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [!]: Package must own all directories that it creates.
> 
> You probably need to add:
> 
> %dir %{python_sitelib}/ovirt_image_uploader

Patch proposed here: http://gerrit.ovirt.org/#/c/14040/
> 
> [x]: Package does not own files or directories owned by other packages.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [-]: Large documentation must go in a -doc subpackage.
>      Note: Documentation size is 20480 bytes in 2 files.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: %config files are marked noreplace or the reason is justified.
> [x]: Each %files section contains %defattr if rpm < 4.4
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Fully versioned dependency in subpackages, if present.
> [x]: Spec file lacks Packager, Vendor, PreReq tags.
> [x]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: No %config files under /usr.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as provided
>      in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> [x]: Package successfully compiles and builds into binary rpms on at least
> one
>      supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> 
> Python:
> [x]: Python eggs must not download any dependencies during the build process.
> [-]: A package which is used by another package via an egg interface should
>      provide egg info.
> 
> Not sure if this is applicable. Although ovirt-image-uploader does not
> provide
> and egg file.
> 
> [x]: Package meets the Packaging Guidelines::Python
> 
> Package
> 
> [x]: Package contains BR: python2-devel or python3-devel
> [x]: Binary eggs must be removed in %prep
> 
> ===== SHOULD items =====
> 
> Generic:
> [!]: Sources can be downloaded from URI in Source: tag
>      Note: Could not download Source0
> 
> Please solve this when everything else is fixed.

Source has been uploaded:
http://resources.ovirt.org/releases/3.2/src/ovirt-image-uploader-3.2.2.tar.gz

> 
> [!]: Buildroot is not present
>      Note: Invalid buildroot found: %{_tmppath}/%{name}-%{version}-%{release}
> 
> This would be better if it was fixed.
> 
> [x]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [!]: SourceX tarball generation or download is documented.
>      Note: Package contains tarball without URL, check comments
> 
> This will be probably fixed when the Source0 will be available to download.

http://resources.ovirt.org/releases/3.2/src/ovirt-image-uploader-3.2.2.tar.gz

> 
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [?]: Package should compile and build into binary rpms on all supported
>      architectures.
> 
> Check this on koji.
> 
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed files.
> [x]: Reviewer should test that the package builds in mock.
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present.
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Uses parallel make.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: ovirt-image-uploader-3.2.2-1.fc18.noarch.rpm
> ovirt-image-uploader.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/ovirt_image_uploader/ovf/ovfenvelope.py
> 0644L /usr/bin/env
> 1 packages and 0 specfiles checked; 1 errors, 0 warnings.
> 
> 
> Please remove "#!/usr/bin/env python" if it's not a script.
> If it's a script, place it somewhere else.

Patch: http://gerrit.ovirt.org/#/c/14043/

> 
> 
> Rpmlint (installed packages)
> ----------------------------
> # rpmlint ovirt-image-uploader
> ovirt-image-uploader.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/ovirt_image_uploader/ovf/ovfenvelope.py
> 0644L /usr/bin/env
> 1 packages and 0 specfiles checked; 1 errors, 0 warnings.
> # echo 'rpmlint-done:'
> 
> 
> Please remove "#!/usr/bin/env python" if it's not a script.
> If it's a script, place it somewhere else.
> 
> 
> Requires
> --------
> ovirt-image-uploader (rpmlib, GLIBC filtered):
>     /usr/bin/python
>     config(ovirt-image-uploader)
>     ovirt-engine-sdk
>     python
>     python(abi)
> 
> 
> 
> Provides
> --------
> ovirt-image-uploader:
>     config(ovirt-image-uploader)
>     ovirt-image-uploader
> 
> 
> 
> Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
> Buildroot used: fedora-18-x86_64
> Command line :/usr/bin/fedora-review -name -n ovirt-image-uploader
Comment 6 Christopher Meng 2013-09-05 10:09:18 EDT
Why WONTFIX?

Note You need to log in before you can comment on or make changes to this bug.